Samsung Express M2070FW trouble with LM 19.1

Forum rules
Before you post please read this
qbit
Level 2
Level 2
Posts: 93
Joined: Thu Jan 10, 2019 12:14 pm

Re: Samsung Express M2070FW trouble with LM 19.1

Post by qbit » Thu Jan 24, 2019 2:29 pm

Rtep, just for the record, your /opt/samsung/ - folder has been correctly installed ?

For when i tried to deinstall the drivers, the shell script behaved rather stubborn.

User avatar
ClixTrix
Level 6
Level 6
Posts: 1069
Joined: Wed Dec 09, 2015 11:40 am
Location: Columbus, Ohio, USA

Re: Samsung Express M2070FW trouble with LM 19.1

Post by ClixTrix » Fri Jan 25, 2019 9:51 am

The sane folks recommended this site to help with Samsung scanners. Looks like the Forum there has lots of advise on scanner install problems (and looks like that includes Ubuntu 18.04.1).

https://www.bchemnet.com/suldr/index.html
Linux Mint 19.2 x64 Cinnamon 4.15.0-72-generic
Gigabyte GA-AB350M-D3H (F20) / Ryzen 5 1600 / Micron Ballistix Sport DDR4 2400 2x8GB / Sapphire Radeon HD6450
NVMe-SSD: Samsung 960 EVO 250GB / SATA-SSD: Samsung 850 EVO 250GB + Toshiba OCZ VX500 512GB

Rtep
Level 3
Level 3
Posts: 169
Joined: Sun Sep 04, 2016 2:57 pm

Re: Samsung Express M2070FW trouble with LM 19.1

Post by Rtep » Fri Jan 25, 2019 11:53 am

ClixTrix, thanx for your link. I tried that site (I'm registered there) before I found that uld_V1.00.39_01.17.tar.gz driver.
It was unsuccessful installation. When I found that unified driver and installed on LM 18.3, everything was (still is) perfect. Problem start after installation on LM 19 and 19.1. Printer no problem scanner is not working, no matter what I'm doing. I'm pulling my hair. It looks like Linux did not checked everything before final version 19. and 19.1 was released. There is lots of non working "things" in 19.1. Customization is somehow fading out from Linux. I hope they did not choosing "we know better" way like Microsoft.

User avatar
ClixTrix
Level 6
Level 6
Posts: 1069
Joined: Wed Dec 09, 2015 11:40 am
Location: Columbus, Ohio, USA

Re: Samsung Express M2070FW trouble with LM 19.1

Post by ClixTrix » Fri Jan 25, 2019 12:17 pm

The problems with the Samsung scanners is more than Mint 19/19.1. It's a change that occurred with Sane and packaging (IMO). Samsung just has not updated the driver since they were acquired by HP back in fall 2017. That's why I suggested those file copies....it's on the list of things to try to adapt the old drivers to modern Linux distros.
Linux Mint 19.2 x64 Cinnamon 4.15.0-72-generic
Gigabyte GA-AB350M-D3H (F20) / Ryzen 5 1600 / Micron Ballistix Sport DDR4 2400 2x8GB / Sapphire Radeon HD6450
NVMe-SSD: Samsung 960 EVO 250GB / SATA-SSD: Samsung 850 EVO 250GB + Toshiba OCZ VX500 512GB

Rtep
Level 3
Level 3
Posts: 169
Joined: Sun Sep 04, 2016 2:57 pm

Re: Samsung Express M2070FW trouble with LM 19.1

Post by Rtep » Fri Jan 25, 2019 3:38 pm

ClixTrix my problem started with LM 19 and LM 19.1. Last year when I bough this AIO printer and installed that driver in LM 18.3, my problem disappeared. Common sense is telling me that LM 19 and 19.1 using Ubuntu 18.o4.1 is the turning points. Just my thoughts.

Rtep
Level 3
Level 3
Posts: 169
Joined: Sun Sep 04, 2016 2:57 pm

Re: Samsung Express M2070FW trouble with LM 19.1

Post by Rtep » Thu Feb 07, 2019 2:07 am

Do anyone found solution for this scanner driver problem? Thanx in advance for any help.

User avatar
ClixTrix
Level 6
Level 6
Posts: 1069
Joined: Wed Dec 09, 2015 11:40 am
Location: Columbus, Ohio, USA

Re: Samsung Express M2070FW trouble with LM 19.1

Post by ClixTrix » Thu Feb 07, 2019 8:37 am

Rtep wrote:
Thu Feb 07, 2019 2:07 am
Do anyone found solution for this scanner driver problem? Thanx in advance for any help.
I would try the recommendation on post #80 at this link.

https://bugs.launchpad.net/ubuntu/+sour ... mments=all

That recommendation is setting a symbolic linkage between where the installer places the files and where the new version of sane excepts to find them. It also adds a rule to udev for your scanner. That combo of changes has worked for me for other scanners with packages that have not been updated to the new version of sane that was first released in Ubuntu 17.10 and is now standard with current Ubuntu 18.04/Mint 19.
Linux Mint 19.2 x64 Cinnamon 4.15.0-72-generic
Gigabyte GA-AB350M-D3H (F20) / Ryzen 5 1600 / Micron Ballistix Sport DDR4 2400 2x8GB / Sapphire Radeon HD6450
NVMe-SSD: Samsung 960 EVO 250GB / SATA-SSD: Samsung 850 EVO 250GB + Toshiba OCZ VX500 512GB

Rtep
Level 3
Level 3
Posts: 169
Joined: Sun Sep 04, 2016 2:57 pm

Re: Samsung Express M2070FW trouble with LM 19.1

Post by Rtep » Thu Feb 07, 2019 9:56 am

You are lucky person. Same scanner, same driver in LM 18.3 Mate is still working perfectly. In LM 19.1 NOT. Thanx for your input.

patol
Level 1
Level 1
Posts: 2
Joined: Sat Feb 09, 2019 10:53 am

Re: Samsung Express M2070FW trouble with LM 19.1

Post by patol » Sat Feb 09, 2019 11:49 am

I'm really sorry, I didn't see the last post from ClixTrix
In my defence, I have been searching on different forums for 48 hours without finding the solution... :evil:
So by doing what is indicated here https://bugs.launchpad.net/ubuntu/+sour ... mments=all #80, it finally works for me!

User avatar
ClixTrix
Level 6
Level 6
Posts: 1069
Joined: Wed Dec 09, 2015 11:40 am
Location: Columbus, Ohio, USA

Re: Samsung Express M2070FW trouble with LM 19.1

Post by ClixTrix » Sat Feb 09, 2019 12:03 pm

@patol I saw your post earlier and because the member shot back the response....

"You are lucky person. Same scanner, same driver in LM 18.3 Mate is still working perfectly. In LM 19.1 NOT. Thanx for your input."

....I was left not knowing if the recommendation failed or wasn't done. I'm relieved to know that recommendation WORKS!

The heart of the problem is a change in packing requirements by Sane back in fall of 2017. This affects Ubuntu 17.10 and later releases and was subsequently a problem with Mint 19 and 19.1 (based upon Ubuntu 18.04).

Honestly, it requires an update to the Samsung (now HP) driver packaging, as the latest release was back on September 1, 2017, which pre-dates the updated version of Sane. I'm left wondering if HP is dropping further linux support for the Samsung scanner line or working to bundle the Samsung line under their HPLIP umbrella. :roll:
Linux Mint 19.2 x64 Cinnamon 4.15.0-72-generic
Gigabyte GA-AB350M-D3H (F20) / Ryzen 5 1600 / Micron Ballistix Sport DDR4 2400 2x8GB / Sapphire Radeon HD6450
NVMe-SSD: Samsung 960 EVO 250GB / SATA-SSD: Samsung 850 EVO 250GB + Toshiba OCZ VX500 512GB

brian_p
Level 5
Level 5
Posts: 700
Joined: Thu Jan 17, 2019 9:20 am

Re: Samsung Express M2070FW trouble with LM 19.1

Post by brian_p » Sat Feb 09, 2019 2:57 pm

ClixTrix wrote:
Sat Feb 09, 2019 12:03 pm
The heart of the problem is a change in packing requirements by Sane back in fall of 2017. This affects Ubuntu 17.10 and later releases and was subsequently a problem with Mint 19 and 19.1 (based upon Ubuntu 18.04).
Isn't the heart of the problem the lack of response of third-party vendors to legitimate changes in SANE. The SANE project can hardly have the finger pointed at it because these vendors (usually peddling non-free offerings) do not keep up with changes elsewhere.
Honestly, it requires an update to the Samsung (now HP) driver packaging, as the latest release was back on September 1, 2017, which pre-dates the updated version of Sane. I'm left wondering if HP is dropping further linux support for the Samsung scanner line or working to bundle the Samsung line under their HPLIP umbrella. :roll:
I'd agree with the updating aspect; HP/Samsung have the resposibility here. Bundling the Samsung line under the HPLIP umbrella might present problems, depending on the differences in technology in HP and Samsung devices. Modern printers are no real problem but, ATM, the only way to scan on a Samsung device is via the proprietry ULD. Roll on driverless scanning!
--
Brian.

User avatar
ClixTrix
Level 6
Level 6
Posts: 1069
Joined: Wed Dec 09, 2015 11:40 am
Location: Columbus, Ohio, USA

Re: Samsung Express M2070FW trouble with LM 19.1

Post by ClixTrix » Sat Feb 09, 2019 4:32 pm

@Brian The official store listing for the Express M2070FW at HP is not in favor of further support. It didn't even officially support Ubuntu 16.04/Mint 18.

https://store.hp.com/us/en/pdp/samsung- ... on-printer

The HP acquisition of the Samsung printer division was completed on November 1, 2017. All I've seen since is close of the Samsung site and move to HP hosting for support.

It's just possible HP intends to discontinue the Samsung printer/scanner line.....and that's it.
Linux Mint 19.2 x64 Cinnamon 4.15.0-72-generic
Gigabyte GA-AB350M-D3H (F20) / Ryzen 5 1600 / Micron Ballistix Sport DDR4 2400 2x8GB / Sapphire Radeon HD6450
NVMe-SSD: Samsung 960 EVO 250GB / SATA-SSD: Samsung 850 EVO 250GB + Toshiba OCZ VX500 512GB

brian_p
Level 5
Level 5
Posts: 700
Joined: Thu Jan 17, 2019 9:20 am

Re: Samsung Express M2070FW trouble with LM 19.1

Post by brian_p » Sun Feb 10, 2019 3:59 pm

ClixTrix wrote:
Sat Feb 09, 2019 4:32 pm
@Brian The official store listing for the Express M2070FW at HP is not in favor of further support. It didn't even officially support Ubuntu 16.04/Mint 18.

https://store.hp.com/us/en/pdp/samsung- ... on-printer
CUPS and cups-browsed have changed sufficiently on Mint 19.1 to make printing a doddle with an Express M2070FW. Scanning is a different story. That is completely tied to non-free software and is not in our hands. (The same is true of Brother and Canon). You pays your money but get no choice.
The HP acquisition of the Samsung printer division was completed on November 1, 2017. All I've seen since is close of the Samsung site and move to HP hosting for support.

It's just possible HP intends to discontinue the Samsung printer/scanner line.....and that's it.
Maybe. It hardly matters if support for legacy devices doesn't disappear too.
--
Brian.

brian_p
Level 5
Level 5
Posts: 700
Joined: Thu Jan 17, 2019 9:20 am

Re: Samsung Express M2070FW trouble with LM 19.1

Post by brian_p » Mon Feb 11, 2019 1:22 pm

--
Brian.

Rtep
Level 3
Level 3
Posts: 169
Joined: Sun Sep 04, 2016 2:57 pm

Re: Samsung Express M2070FW trouble with LM 19.1

Post by Rtep » Tue Feb 26, 2019 2:46 am

My Samsung Express M2070FW start FINALLY working. I found solution here in this forum! After installing universal Samsung printer/scanner uld_V1.00.39_01.17 driver, I used this command:

cd /usr/lib/x86_64-linux-gnu/sane
sudo ln -s /opt/smfp-common/scanner/lib/libsane-smfp.so.1.0.1 /usr/lib/x86_64-linux-gnu/sane/libsane-smfp.so.1

Immediately after that, Simple Scan start working with my scanner right away. VICTORY.

Post Reply

Return to “Printers & Scanners”